PACMAN-CONF(8)

NOME
pacman-conf - consulta arquivo de configuração do pacman

SINOPSE

pacman-conf [opções] [<diretivas> ...]

pacman-conf (--repo-list|--help|--version)

DESCRIÇÃO

pacman-conf é um utilitário para analisar o arquivo de configuração pacman e retornar a saída compatível com scripts. Ele foi projetado para lidar adequadamente com recursos de configuração não triviais, como interpolação de variáveis e o uso da diretiva Include, e garante que ela retornará os mesmos valores de configuração que o próprio pacman usaria.

pacman-conf exibirá o conteúdo totalmente resolvido do arquivo de configuração por padrão ou, se fornecido com o nome de uma diretiva de configuração, exibirá o conteúdo da diretiva especificada.

OPÇÕES

-c, --config <caminho>
    Especifica um arquivo de configuração alternativo.

-R, --rootdir <caminho>
    Especifica uma raiz de instalação alternativa (padrão é /).

-r, --repo <repositório>
    Consulta opções para um repositório específico.

-v, --verbose
    Sempre mostra nomes de diretivas.

-l, --repo-list
    Lista repositórios configurados.

-h, --help
    Emite sintaxe e opções de linha de comando.

-V, --version
    Exibe a versão e sai.

EXEMPLOS

pacman-conf -r core Usage
    Mostra o valor da opção de configuração Usage para o repositório core.

pacman-conf HoldPkg
    Mostra o valor da opção de configuração HoldPkg.

VEJA TAMBÉM

pacman.conf(5)

Consulte o site do pacman em https://archlinux.org/pacman/ para obter informações atuais sobre o pacman e suas ferramentas relacionadas.

BUGS

Bugs? Você deve estar brincando; não há erros neste software. Mas se por acaso estivermos errados, relate-os no rastreador problemas em https://gitlab.archlinux.org/pacman/pacman/-/issues com informações específicas tal como sua linha de comando, a natureza do erro e até mesmo a base de dados se isso ajudar.

AUTORES

Atuais mantenedores:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Principais colaboradores anteriores:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Para outros contribuidores, use git shortlog -s no repositório pacman.git.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).